Debian Bug report logs - #148412
gimp1.2: Gimp is not consistently licensed

version graph

Package: gimp1.2; Maintainer for gimp1.2 is (unknown);

Reported by: Anthony DeRobertis <asd@suespammers.org>

Date: Tue, 28 May 2002 21:48:01 UTC

Severity: serious

Found in version 1.2.3-2

Done: Junichi Uekawa <dancer@netfort.gr.jp>

Bug is archived. No further changes may be made.

Forwarded to gimp-developer@lists.xcf.berkeley.edu

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ben Gertzfield <che@debian.org>, gimp1.2@packages.qa.debian.org:
Bug#148412; Package gimp1.2. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@gearboxx.com>:
New Bug report received and forwarded. Copy sent to Ben Gertzfield <che@debian.org>, gimp1.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@gearboxx.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gimp1.2: Gimp is not consistently licensed
Date: Tue, 28 May 2002 17:37:34 -0400
Package: gimp1.2
Version: 1.2.3-2
Severity: serious
Justification: Policy 2.1.6

Several gimp plugins (webbrowser.c, edge.c, nlfilt.c), tools
(gimp-remote.c), and build utils (install-sh) require notice in an
supporting documentation, but Gimp's supporting documentation (e.g.,
it's online help) do not follow the requirement.

In addition, the copyright file in /usr/share/doc/gimp1.2 fails to
mention these.

Among the people and organization that need credit are M.I.T
(install-sh), Netscape Communications Corp. and Jamie Zawinski
(gimp-remote.c, webbrowser.c), Andreas Stolcke and Solbourne Computer,
Inc. (webbrowser.c), Jef Poskanzer (edge.c), David Koblas (gif.c), and
Graeme W. Gill (nlfilt.c).

Then there is Spencer Kimball and Peter Mattis in gimp-1.2.1.in; Owen
Taylor and Manish Singh in gimptool-1.2.1.in; Paradigm Associates, Inc.
(interp_slib.c); Patrick J. Naughton (tiff.c); and CMU (mail.c)

All in all, there is quite a bit of missing legalese. And Gimp doesn't
really appear to be under the GPL. 

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux tux-2 2.4.18 #1 SMP Tue May 7 12:47:45 EDT 2002 i686
Locale: LANG=C, LC_CTYPE=

Versions of packages gimp1.2 depends on:
ii  aalib1                        1.4p5-13   ascii art library
ii  libc6                         2.2.5-6    GNU C Library: Shared libraries an
ii  libgimp1.2                    1.2.3-2    Libraries necessary to run the GIM
ii  libglib1.2                    1.2.10-4   The GLib library of C routines
ii  libgtk1.2                     1.2.10-11  The GIMP Toolkit set of widgets fo
ii  libgtkxmhtml1                 1.4.1.4-3  The Gnome gtkxmhtml (HTML) widget
ii  libjpeg62                     6b-5       The Independent JPEG Group's JPEG 
ii  libmpeg1                      1.3.1-2.1  The MPEG library calls for movie s
ii  libpng2                       1.0.12-3   PNG library - runtime
ii  libtiff3g                     3.5.5-6    Tag Image File Format library
ii  slang1                        1.4.4-7.2  The S-Lang programming library - r
ii  wget                          1.8.1-6    retrieves files from the web
ii  xlibs                         4.1.0-16   X Window System client libraries
ii  zlib1g                        1:1.1.4-1  compression library - runtime




Information forwarded to debian-bugs-dist@lists.debian.org, gimp1.2@packages.qa.debian.org:
Bug#148412; Package gimp1.2. Full text and rfc822 format available.

Acknowledgement sent to Ben Gertzfield <che@debian.org>:
Extra info received and forwarded to list. Copy sent to gimp1.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 148412@bugs.debian.org (full text, mbox):

From: Ben Gertzfield <che@debian.org>
To: gimp-developer@lists.xcf.berkeley.edu
Cc: 148412@bugs.debian.org, anthony@gearboxx.com
Subject: [Fwd: Bug#148412: gimp1.2: Gimp is not consistently licensed]
Date: Tue, 28 May 2002 14:52:53 -0700
[Message part 1 (text/plain, inline)]
Howdy GIMP folks.  Here are some points in the licensing of GIMP that 
need to be addressed. Specifically, there's a lot of code that requires 
that the authors be mentioned in the documentation, but there is no 
mention of them anywhere.

I'm not really up to speed with these issues, so if discussion is 
needed, please bring it up with Anthony DeRobertis 
<anthony@gearboxx.com>, the originator of this bug report.

Thanks,

Ben


[Bug#148412: gimp1.2: Gimp is not consistently licensed (message/rfc822, inline)]
From: Anthony DeRobertis <anthony@gearboxx.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Bug#148412: gimp1.2: Gimp is not consistently licensed
Date: Tue, 28 May 2002 17:37:34 -0400
Package: gimp1.2
Version: 1.2.3-2
Severity: serious
Justification: Policy 2.1.6

Several gimp plugins (webbrowser.c, edge.c, nlfilt.c), tools
(gimp-remote.c), and build utils (install-sh) require notice in an
supporting documentation, but Gimp's supporting documentation (e.g.,
it's online help) do not follow the requirement.

In addition, the copyright file in /usr/share/doc/gimp1.2 fails to
mention these.

Among the people and organization that need credit are M.I.T
(install-sh), Netscape Communications Corp. and Jamie Zawinski
(gimp-remote.c, webbrowser.c), Andreas Stolcke and Solbourne Computer,
Inc. (webbrowser.c), Jef Poskanzer (edge.c), David Koblas (gif.c), and
Graeme W. Gill (nlfilt.c).

Then there is Spencer Kimball and Peter Mattis in gimp-1.2.1.in; Owen
Taylor and Manish Singh in gimptool-1.2.1.in; Paradigm Associates, Inc.
(interp_slib.c); Patrick J. Naughton (tiff.c); and CMU (mail.c)

All in all, there is quite a bit of missing legalese. And Gimp doesn't
really appear to be under the GPL. 

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux tux-2 2.4.18 #1 SMP Tue May 7 12:47:45 EDT 2002 i686
Locale: LANG=C, LC_CTYPE=

Versions of packages gimp1.2 depends on:
ii  aalib1                        1.4p5-13   ascii art library
ii  libc6                         2.2.5-6    GNU C Library: Shared libraries an
ii  libgimp1.2                    1.2.3-2    Libraries necessary to run the GIM
ii  libglib1.2                    1.2.10-4   The GLib library of C routines
ii  libgtk1.2                     1.2.10-11  The GIMP Toolkit set of widgets fo
ii  libgtkxmhtml1                 1.4.1.4-3  The Gnome gtkxmhtml (HTML) widget
ii  libjpeg62                     6b-5       The Independent JPEG Group's JPEG 
ii  libmpeg1                      1.3.1-2.1  The MPEG library calls for movie s
ii  libpng2                       1.0.12-3   PNG library - runtime
ii  libtiff3g                     3.5.5-6    Tag Image File Format library
ii  slang1                        1.4.4-7.2  The S-Lang programming library - r
ii  wget                          1.8.1-6    retrieves files from the web
ii  xlibs                         4.1.0-16   X Window System client libraries
ii  zlib1g                        1:1.1.4-1  compression library - runtime


Noted your statement that Bug has been forwarded to gimp-developer@lists.xcf.berkeley.edu. Request was from Ben Gertzfield <che@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ben Gertzfield <che@debian.org>, gimp1.2@packages.qa.debian.org:
Bug#148412; Package gimp1.2. Full text and rfc822 format available.

Acknowledgement sent to Rapha�l Quinet <quinet@gamers.org>:
Extra info received and forwarded to list. Copy sent to Ben Gertzfield <che@debian.org>, gimp1.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #17 received at 148412@bugs.debian.org (full text, mbox):

From: Raphaël Quinet <quinet@gamers.org>
To: "Ben Gertzfield" <che@debian.org>
Cc: gimp-developer@lists.xcf.berkeley.edu, 148412@bugs.debian.org, anthony@gearboxx.com
Subject: Re: [Gimp-developer] [Fwd: Bug#148412: gimp1.2: Gimp is not consistently licensed]
Date: Wed, 29 May 2002 13:26:07 +0200
On Tue, 28 May 2002 14:52:53 -0700, "Ben Gertzfield" <che@debian.org> wrote:
> Howdy GIMP folks.  Here are some points in the licensing of GIMP that 
> need to be addressed. Specifically, there's a lot of code that requires 
> that the authors be mentioned in the documentation, but there is no 
> mention of them anywhere.

Hmmm...  This is bad, because this is not compatible with the GPL.  So we
must either stop distributing these files or distribute them in a separate
package that is not GPL'ed.

> I'm not really up to speed with these issues, so if discussion is 
> needed, please bring it up with Anthony DeRobertis 
> <anthony@gearboxx.com>, the originator of this bug report.

I don't know if you want to get a copy of the messages and if I should
also CC them to the debian bug tracker.  If not, please mention it on
the gimp-developer mailing list before others do the same mistake as I
am doing right now.  ;-)

Here is a sorted list of files that have copyright notices that are
not compatible with the GPL (derivatives of the BSD license with the
so-called "advertising clause"):

./gimp-1.2.1.in             (Spencer Kimball, Peter Mattis)
./gimptool-1.2.1.in         (Owen Taylor, Manish Singh)
./install-sh                (M.I.T.)
./plug-ins/common/edge.c    (Jef Poskanzer)
./plug-ins/common/gif.c     (David Koblas)
./plug-ins/common/mail.c    (CMU and Bellcore)
./plug-ins/common/nlfilt.c  (Graeme W. Gill)
./plug-ins/common/tiff.c    (Patrick J. Naughton)
./plug-ins/webbrowser/webbrowser.c   (Netscape, Jamie Zawinski,
                             Andreas Stolcke, Solbourne Computer)
./plug-ins/script-fu/interp_slib.c   (Paradigm Associates, Inc.)
./tools/gimp-remote.c       (Netscape, Jamie Zawinski)

The first two files in the list are manual pages copyrighted by
Spencer Kimball and Peter Mattis and by Owen Taylor and Manish Singh.
I think that the "advertising clause" is an accident and they did not
intend to have a license that is not compatible with the GPL, but we
should ask them to be sure (the copyright holders are the only ones
who are allowed to change the terms of the license).

The "install-sh" file is part of automake.  It should not be too hard
to replace it by a similar file that is compatible with the GPL,
because this is a relatively short shell script.  I thought that the
automake developers had already changed this file, but apparently not.

The other files are more annoying.  The first thing to do would be to
remove the GPL statement at the top of theses files because it is
incompatible with the "advertising clause".  From a legal point of
view, these files cannot be distributed as they are now, so we must at
least change their license immediately and then think about what we
can do with these non-GPL files.

We cannot simply remove them, because Script-Fu is an important part
of the GIMP and gimp-remote is required for some desktop environments.
Even if gimp-remote should be replaced sooner or later (see
http://bugzilla.gnome.org/show_bug.cgi?id=52866), it would be too hard
to do it before the 1.2.4 release.  It would also be too hard to
rewrite the other plug-ins now (except maybe for the edge filter,
which uses well-known algorithms).

The two remaining options are to split the GIMP distribution in two
packages or to change the license of the distribution:
- If we split the distribution, we could have one tar archive with GPL
  files (or GPL-compatible files) and another one with the files
  mentioned above.  This would also cover some patent problems for the
  GIF and TIFF plug-ins.  However, it would not like to move Script-Fu
  out of the main GIMP distribution.
- The other option is to change the license for the distribution and
  to add the required copyright notices in the GIMP help files.  For
  the license of the package, we could state the the GIMP distribution
  is simply aggregating several independent packages that have their
  own license.  We would also have to notify those who build binary
  packages about the license change.  However, I am not sure that it
  is even possible to have a valid license for the aggregate, while
  still respecting the GPL and the old-style BSD-ish licenses.

I have created a GIMP bug report for this issue.  You can get it from
Bugzilla: http://bugzilla.gnome.org/show_bug.cgi?id=83362

-Raphaël



Information forwarded to debian-bugs-dist@lists.debian.org, Ben Gertzfield <che@debian.org>, gimp1.2@packages.qa.debian.org:
Bug#148412; Package gimp1.2. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <asd@suespammers.org>:
Extra info received and forwarded to list. Copy sent to Ben Gertzfield <che@debian.org>, gimp1.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #22 received at 148412@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <asd@suespammers.org>
To: Raphaël Quinet <quinet@gamers.org>
Cc: Ben Gertzfield <che@debian.org>, gimp-developer@lists.xcf.berkeley.edu, 148412@bugs.debian.org, anthony@gearboxx.com
Subject: Re: [Gimp-developer] [Fwd: Bug#148412: gimp1.2: Gimp is not consistently licensed]
Date: 29 May 2002 08:17:16 -0400
[Message part 1 (text/plain, inline)]
On Wed, 2002-05-29 at 07:26, Raphaël Quinet wrote:

> Hmmm...  This is bad, because this is not compatible with the GPL.  So we
> must either stop distributing these files or distribute them in a separate
> package that is not GPL'ed.

Yep. And a lot of people are depending on the package being GPLd (most
GNU/Linux distros, for example). 


> I don't know if you want to get a copy of the messages and if I should
> also CC them to the debian bug tracker.

Please at least CC 148412@bugs.debian.org or
148412-quiet@bugs.debian.org

Also, you might want to set a CC on the bugzilla bug to
148412-quiet@bugs.debian.org. Shouldn't result in an ack war.


> Here is a sorted list of files that have copyright notices that are
> not compatible with the GPL (derivatives of the BSD license with the
> so-called "advertising clause"):

If that's just from sorting my list, then beware that I just did some
greps. I didn't actually read the licenses at the top of every file.

I just grepped for 'supporting'.

> 
> The two remaining options are to split the GIMP distribution in two
> packages or to change the license of the distribution:
> - If we split the distribution, we could have one tar archive with GPL
>   files (or GPL-compatible files) and another one with the files
>   mentioned above.  This would also cover some patent problems for the
>   GIF and TIFF plug-ins.  However, it would not like to move Script-Fu
>   out of the main GIMP distribution.

This isn't really an option, at least for Debian. Debian couldn't
distribute the split-out files because it'd violate the GPL on the rest
of gimp(!). Same as how Debian doesn't distribute things that link GPL'd
code to OpenSSL.

GIMP would need an exception to the GPL saying this is OK.

Probably not to practical to change the GIMP license.


> - The other option is to change the license for the distribution 
>   [...] However, I am not sure that it
>   is even possible to have a valid license for the aggregate, while
>   still respecting the GPL and the old-style BSD-ish licenses.

I don't believe it is. See GPL clause 7:

  7. If, as a consequence of a court judgment or allegation of patent
infringement or for any other reason (not limited to patent issues),
conditions are imposed on you (whether by court order, agreement or
otherwise) that contradict the conditions of this License, they do not
excuse you from the conditions of this License.  If you cannot
distribute so as to satisfy simultaneously your obligations under this
License and any other pertinent obligations, then as a consequence you
may not distribute the Program at all. [...]

The 'any other reason' in this case would be the old BSD license.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to gimp1.2@packages.qa.debian.org:
Bug#148412; Package gimp1.2. Full text and rfc822 format available.

Acknowledgement sent to Rapha�l Quinet <quinet@gamers.org>:
Extra info received and filed, but not forwarded. Copy sent to gimp1.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #27 received at 148412-quiet@bugs.debian.org (full text, mbox):

From: Raphaël Quinet <quinet@gamers.org>
To: "Anthony DeRobertis" <asd@suespammers.org>
Cc: gimp-developer@lists.xcf.berkeley.edu, 148412-quiet@bugs.debian.org
Subject: Re: [Gimp-developer] [Fwd: Bug#148412: gimp1.2: Gimp is not consistently licensed]
Date: Wed, 29 May 2002 16:36:50 +0200
On 29 May 2002 08:17:16 -0400, "Anthony DeRobertis" <asd@suespammers.org> wrote:
> Also, you might want to set a CC on the bugzilla bug to
> 148412-quiet@bugs.debian.org. Shouldn't result in an ack war.

Unfortunately, this is not possible because "148412-quiet@bugs.debian.org"
is not a valid Bugzilla account.  It's a pity that Bugzilla accepts only
valid Bugzilla accounts in the "CC" field, but I suppose that it makes
sense in some cases.

> > Here is a sorted list of files that have copyright notices that are
> > not compatible with the GPL (derivatives of the BSD license with the
> > so-called "advertising clause"):
> 
> If that's just from sorting my list, then beware that I just did some
> greps. I didn't actually read the licenses at the top of every file.
> 
> I just grepped for 'supporting'.

I also did a couple of greps for several variations of "copyright
notice" and "documentation".  I think that your list was correct.  I
only added a note about ./plug-ins/common/gifload.c to Bugzilla #83362.

> > The two remaining options are to split the GIMP distribution in two
> > packages or to change the license of the distribution:
> > - If we split the distribution, we could have one tar archive with GPL
> >   files (or GPL-compatible files) and another one with the files
> >   mentioned above.  This would also cover some patent problems for the
> >   GIF and TIFF plug-ins.  However, it would not like to move Script-Fu
> >   out of the main GIMP distribution.
> 
> This isn't really an option, at least for Debian. Debian couldn't
> distribute the split-out files because it'd violate the GPL on the rest
> of gimp(!). Same as how Debian doesn't distribute things that link GPL'd
> code to OpenSSL.
> 
> GIMP would need an exception to the GPL saying this is OK.
> 
> Probably not to practical to change the GIMP license.

The files that are affected by this problem are independent plug-ins and
one standalone tool (gimp-remote.c), so they are not linked with the
other parts of the program.  The libraries used by the plug-ins use the
LGPL, not the GPL.  The only plug-in that contains a significant amount
of GPL code and GPL-incompatible code is the Script-Fu interpreter.  But
for most plug-ins, it should not be too difficult to contact the authors
and ask for an exception.

This exception would make it possible to distribute the plug-ins without
license conflicts, even if they would still have to be distributed
separately from the main GIMP package.

> > - The other option is to change the license for the distribution 
> >   [...] However, I am not sure that it
> >   is even possible to have a valid license for the aggregate, while
> >   still respecting the GPL and the old-style BSD-ish licenses.
> 
> I don't believe it is. See GPL clause 7: [...]

Well, I'm not sure.  If the GIMP tarball is considered to be a "mere
aggregate" of independent software packages (the main application and
its plug-ins), it may be possible to have a license for the tarball that
allows it to be distributed without violating the GPL or the old-style
BSD licenses.

Something like this may work (this is a quick draft and it is probably
incorrect, but hopefully you will get the general idea): "This archive
of source files is an aggregate of several independent software
packages, each one covered by its own license.  The code in the plug-ins
directory is not part of the main GIMP application.  Most of the code is
covered by the General Public License (GPL) or Lesser GPL but some
plug-ins require a copyright notice to be added to the documentation.
Please check the individual licenses if you use, modify or distribute
any files from the plug-ins directory."

In any case, we have to resolve the license conflicts for the files that
include both GPL and GPL-incompatible code.  But once this is done, I
believe that we could still proceed with both options: split the
distribution in two packages, or state that the package is an aggregate
of individual programs.

-Raphaël



Information forwarded to gimp1.2@packages.qa.debian.org:
Bug#148412; Package gimp1.2. Full text and rfc822 format available.

Acknowledgement sent to "Branko Collin" <collin@xs4all.nl>:
Extra info received and filed, but not forwarded. Copy sent to gimp1.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #32 received at 148412-quiet@bugs.debian.org (full text, mbox):

From: "Branko Collin" <collin@xs4all.nl>
To: gimp-developer@lists.xcf.berkeley.edu, 148412-quiet@bugs.debian.org
Subject: Re: [Gimp-developer] [Fwd: Bug#148412: gimp1.2: Gimp is not consistently licensed]
Date: Wed, 29 May 2002 21:10:36 +0200
On 29 May 2002, at 16:36, Raphaël Quinet wrote:

> On 29 May 2002 08:17:16 -0400, "Anthony DeRobertis"
> <asd@suespammers.org> wrote:

> > > Here is a sorted list of files that have copyright notices that
> > > are not compatible with the GPL (derivatives of the BSD license
> > > with the so-called "advertising clause"):
> >
> > If that's just from sorting my list, then beware that I just did
> > some greps. I didn't actually read the licenses at the top of every
> > file.
> >
> > I just grepped for 'supporting'.
>
> I also did a couple of greps for several variations of "copyright
> notice" and "documentation".  I think that your list was correct.  I
> only added a note about ./plug-ins/common/gifload.c to Bugzilla
> #83362.

On request of someone here, I did a in-depth study of the licenses
used in the GIMP 1.2.2's plug-ins, three-quarters of a year ago.

I published the results at <http://www.xs4all.nl/~collin/test/GIMP-
licensing/>.

The idea was that Sven and Mitch would write the authors to see if we
could GPL the plug-ins that weren't GPL'ed already.

I don't know what happened to that. (Sven? Mitch?)

On a side note: Guile advertises itself as _the_ extension
programming language. It's part of the GNU project, so I assume it's
GPL'ed.

I am not a programmer, so I don't know how hard or easy it would be
to use Guile as a drop-in replacement. The homepage
<http://www.gnu.org/software/guile/guile.html> makes it look very
simple to write a Guile supporting app in C, but again, I cannot
really judge if this is indeed as simple.

(Short tutorial of writing a plotting program with a Guile interface
under X Windows: <http://www.gnu.org/software/guile/docs/guile-
tut/tutorial.html>)


--
branko collin
collin@xs4all.nl



Information forwarded to gimp1.2@packages.qa.debian.org:
Bug#148412; Package gimp1.2. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <asd@suespammers.org>:
Extra info received and filed, but not forwarded. Copy sent to gimp1.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #37 received at 148412-quiet@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <asd@suespammers.org>
To: Raphaël Quinet <quinet@gamers.org>
Cc: gimp-developer@lists.xcf.berkeley.edu, 148412-quiet@bugs.debian.org
Subject: Re: [Gimp-developer] [Fwd: Bug#148412: gimp1.2: Gimp is not consistently licensed]
Date: 30 May 2002 17:55:50 -0400
[Message part 1 (text/plain, inline)]
On Wed, 2002-05-29 at 10:36, Raphaël Quinet wrote:

> The libraries used by the plug-ins use the
> LGPL, not the GPL.

I'm glad to hear that! Since the LGPL allows you to link proprietary
code, I imagine that old-style BSD is just fine. So those just need
splitting out at most.

> The only plug-in that contains a significant amount
> of GPL code and GPL-incompatible code is the Script-Fu interpreter.

That will be a mess to clean up. 

> But
> for most plug-ins, it should not be too difficult to contact the authors
> and ask for an exception.

It'd certainly be easiest if they were willing to license under the GPL.
> > I don't believe it is. See GPL clause 7: [...]
> 
> Well, I'm not sure.  If the GIMP tarball is considered to be a "mere
> aggregate" of independent software packages (the main application and
> its plug-ins),

I'm not sure how the plugins are used by GIMP. 

The FSF says <http://www.fsf.org/licenses/gpl-faq.html#GPLAndPlugins>
also: <http://www.fsf.org/licenses/gpl-faq.html#TOCMereAggregation>

It's very arguable that GIMP and its plugins are effectively one
program. Especially since GIMP plugins can only be used from GIMP,
integrate into the mnus of GIMP, etc.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to gimp1.2@packages.qa.debian.org:
Bug#148412; Package gimp1.2. Full text and rfc822 format available.

Acknowledgement sent to Nathan Carl Summers <rock@gimp.org>:
Extra info received and filed, but not forwarded. Copy sent to gimp1.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #42 received at 148412-quiet@bugs.debian.org (full text, mbox):

From: Nathan Carl Summers <rock@gimp.org>
To: gimp-developer@lists.xcf.berkeley.edu, Anthony DeRobertis <asd@suespammers.org>
Cc: 148412-quiet@bugs.debian.org
Subject: Re: [Gimp-developer] [Fwd: Bug#148412: gimp1.2: Gimp is not consistently licensed]
Date: Thu, 30 May 2002 15:08:59 -0700 (PDT)

On 30 May 2002, Anthony DeRobertis wrote:
> On Wed, 2002-05-29 at 10:36, Raphaël Quinet wrote:

> I'm not sure how the plugins are used by GIMP.

gimp opens a pipe, spawns the child plugin process, and communicates using
a relatively simple protocol.


> The FSF says <http://www.fsf.org/licenses/gpl-faq.html#GPLAndPlugins>
> also: <http://www.fsf.org/licenses/gpl-faq.html#TOCMereAggregation>
>
> It's very arguable that GIMP and its plugins are effectively one
> program. Especially since GIMP plugins can only be used from GIMP,
> integrate into the mnus of GIMP, etc.

There are other programs that can run gimp plugins. (well, gimp 1.0
plugins at least)

Of course, the question of plugins is almost academic, becuase the
copyright holders of GIMP have explicitly stated that they don't consider
propriatary plugins to be infringing.  If they won't sue over it, who can?

(Note that I am NOT suggesting that we shouldn't make GIMP's licensing
kosher)

Rockwalrus




Information forwarded to debian-bugs-dist@lists.debian.org, Ben Gertzfield <che@debian.org>, gimp1.2@packages.qa.debian.org:
Bug#148412; Package gimp1.2. Full text and rfc822 format available.

Acknowledgement sent to Sven Neumann <sven@gimp.org>:
Extra info received and forwarded to list. Copy sent to Ben Gertzfield <che@debian.org>, gimp1.2@packages.qa.debian.org. Full text and rfc822 format available.

Message #47 received at 148412@bugs.debian.org (full text, mbox):

From: Sven Neumann <sven@gimp.org>
To: 148412@bugs.debian.org
Subject: new upstream release
Date: 20 May 2003 14:46:47 +0200
Hi,

just wanted to let you know that the GIMP developers finally released
GIMP-1.2.4 which has the license problems sorted out. Details are in
the GIMP bugtracker at bugzilla.gnome.org.


Sven



Changed Bug submitter from Anthony DeRobertis <anthony@gearboxx.com> to Anthony DeRobertis <asd@suespammers.org>. Request was from Anthony DeRobertis <asd@suespammers.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Junichi Uekawa <dancer@netfort.gr.jp>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Anthony DeRobertis <asd@suespammers.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #54 received at 148412-done@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: 148412-done@bugs.debian.org
Subject: This bug seems to be fixed, right?
Date: Sat, 02 Aug 2003 10:30:28 +0900
Hi,


I've read the report, and it seems like the new upstream version 1.2.5 is
now installed, and this bug report is meant to have been fixed on 1.2.4,
this bug can now be closed.


regards,
	junichi



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:54:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.